Package com.smartgwt.client.types

# Interface KeyNames

public interface KeyNames

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALT`
  `static final String`
  `ARROW_DOWN`
  `static final String`
  `ARROW_LEFT`
  `static final String`
  `ARROW_RIGHT`
  `static final String`
  `ARROW_UP`
  `static final String`
  `BACKSPACE`
  `static final String`
  `CTRL`
  `static final String`
  `DEL`
  `static final String`
  `END`
  `static final String`
  `ENTER`
  `static final String`
  `ESC`
  `static final String`
  `HOME`
  `static final String`
  `INSERT`
  `static final String`
  `PAGE_DOWN`
  `static final String`
  `PAGE_UP`
  `static final String`
  `SHIFT`
  `static final String`
  `SPACE`
  `static final String`
  `TAB`

- ## Field Details

  - ### SPACE

    static final String SPACE
    See Also:
      - Constant Field Values

  - ### TAB

    static final String TAB
    See Also:
      - Constant Field Values

  - ### ENTER

    static final String ENTER
    See Also:
      - Constant Field Values

  - ### ESC

    static final String ESC
    See Also:
      - Constant Field Values

  - ### BACKSPACE

    static final String BACKSPACE
    See Also:
      - Constant Field Values

  - ### INSERT

    static final String INSERT
    See Also:
      - Constant Field Values

  - ### DEL

    static final String DEL
    See Also:
      - Constant Field Values

  - ### ARROW_UP

    static final String ARROW_UP
    See Also:
      - Constant Field Values

  - ### ARROW_DOWN

    static final String ARROW_DOWN
    See Also:
      - Constant Field Values

  - ### ARROW_LEFT

    static final String ARROW_LEFT
    See Also:
      - Constant Field Values

  - ### ARROW_RIGHT

    static final String ARROW_RIGHT
    See Also:
      - Constant Field Values

  - ### HOME

    static final String HOME
    See Also:
      - Constant Field Values

  - ### END

    static final String END
    See Also:
      - Constant Field Values

  - ### PAGE_UP

    static final String PAGE_UP
    See Also:
      - Constant Field Values

  - ### PAGE_DOWN

    static final String PAGE_DOWN
    See Also:
      - Constant Field Values

  - ### SHIFT

    static final String SHIFT
    See Also:
      - Constant Field Values

  - ### CTRL

    static final String CTRL
    See Also:
      - Constant Field Values

  - ### ALT

    static final String ALT
    See Also:
      - Constant Field Values